LASTLOG(8)

NOME
lastlog - riepiloga gli accessi più recenti di tutti gli utenti o dell'utente dato

SINOSSI

lastlog [opzioni]

DESCRIZIONE

lastlog formatta e mostra il log degli ultimi accessi, contenuto nel file /var/log/lastlog. Le informazioni mostrate sono il nome utente, la porta e la data dell'ultimo accesso. Il comportamento predefinito (nessuna opzione specificata) è di mostrare i record di ultimo accesso per tutti gli utenti, nell'ordine in cui compaiono in /etc/passwd.

OPZIONI

Il comando lastlog accetta le seguenti opzioni:

-b, --before GIORNI
    Mostra solo i record di ultimo accesso più vecchi di GIORNI giorni.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

-t, --time GIORNI
    Mostra solo i record di ultimo accesso più recenti di GIORNI.

-u, --user LOGIN|INTERVALLO
    Mostra il record di ultimo accesso per l'utente o gli utenti specificati da LOGIN.

    Gli utenti possono essere specificati utilizzando il loro nome oppure l'ID numerico o tramite un INTERVALLO di utenti. Questo INTERVALLO di utenti ha tre forme: tra minimo e massimo (UID_MIN-UID_MAX), fino ad un valore massimo (-UID_MAX) o da un valore minimo (UID_MIN-).

Se l'utente non ha mai effettuato accessi al sistema viene mostrato, al posto della porta e della data, il messaggio «**Nessun accesso effettuato**».

Solo le registrazioni degli utenti correnti del sistema verranno mostrate. Ci potrebbero essere altre registrazioni per utenti cancellati in precedenza.

NOTA

Il file lastlog è un database che contiene informazioni sull'ultimo accesso di ogni utente. Non deve essere ruotato. Si tratta di un file «sparse», quindi la sua dimensione è minore di quanto normalmente mostrato da «ls -l» (che potrebbe indicare una dimensione veramente grande se si hanno utenti con grandi UID in passwd). Si può vedere la dimensione effettiva con «ls -s».

FILE

/var/log/lastlog
    Database degli orari dei precedenti accessi utente.

AVVISI/CAVEAT

Se ci sono dei grossi scarti tra i valori di UID, il programma lastlog può restare in esecuzione per un tempo prolungato senza produrre output sullo schermo (ad es. se nel database lastlog non ci sono registrazioni per UID tra 170 e 800, il programma sembrerà bloccato mentre esamina gli UID tra 171 e 799).